body {
	background-color: rgb(250,250,255);
    margin: 0;
    padding: 0;
}

h1 {
	text-align: center;
	border: 1px dashed black;
	border-radius: 2em;
	background-color: rgb(255,245,245);
	max-width: 14em;
}
div {
	background-color: rgb(255,255,240);
	padding: 0.3em;
}

form {
	margin-bottom: 2em;
	padding: 0.3em;
	max-width: 29em;
    position: relative;
    width: 100%;
}

fieldset {
	margin-bottom: 1em;
	padding: 0.3em;
	max-width: 28em;
    position: relative;
    width: 100%;
}

label {
	font-weight: bold;
	color: rgb(128,128,128);
}

legend {
	font-weight: bold;
	font-size: 1.05em;
	background-color: rgb(255,245,245);
	border: 0.2em double black;
}

input[type="text"], 
input[type="email"],
input[type="number"], 
input[type="textarea"],
select {
	background-color: rgb(225,255,225);
	width:14em;
	font-style: normal;
}

input[type="submit"] {
	display: block;
	margin: 1em;
	font-size: 0.7em;
	text-transform: uppercase;
	font-weight: bold;
	background-color: rgb(255,200,255);
	border: 0.35em double purple;
}

input, select {
	margin: 0.2em 2.5em 0.2em 1.5em;
    position: absolute;
    right: 0px;
}

input:required:invalid, input:focus:invalid, 
select:required:invalid, select:focus:invalid {
	background-color: rgb(255,245,245);
	font-style: italic;
}